当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]运行acroread 提示“expr: 写入时发生错误”,怎么解决
帖子发表于 : 2006-09-19 1:09 

注册: 2006-03-21 10:47
帖子: 406
送出感谢: 0 次
接收感谢: 0 次
原来装了acroread的,而且运行正常的,上周升级到edgy后,acroread就用不了了,在终端下运行,提示“expr:写入时发生错误“,cpu占用100%,要kill掉才行,重新装也是这样,怎么解决??


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2006-09-19 12:23 
头像

注册: 2005-12-09 15:33
帖子: 179
地址: 云南.昆明
送出感谢: 0 次
接收感谢: 0 次
同问


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2006-09-19 12:30 
头像

注册: 2005-12-09 15:33
帖子: 179
地址: 云南.昆明
送出感谢: 0 次
接收感谢: 0 次
acroread 降级到7.01


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2006-09-20 11:54 
头像

注册: 2005-08-15 0:04
帖子: 1880
地址: 南7技校
送出感谢: 0 次
接收感谢: 0 次
bug...


_________________
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2006-10-29 13:30 
头像

注册: 2005-04-08 14:54
帖子: 310
送出感谢: 0 次
接收感谢: 0 次
我在edgy上用acroread7.0.8 出现同样错误,google一下,

可以:
代码:
sudo gedit /usr/bin/acroread



代码:
echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'

替换为
代码:
echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]\)00*.\([0-9]*\)\|\(.*\)/\1\2\3/g'

就可以了。

用scim的还要记得加上
代码:
GTK_IM_MODULE=xim


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2006-10-29 13:31 
头像

注册: 2005-04-08 14:54
帖子: 310
送出感谢: 0 次
接收感谢: 0 次

http://www.linuxsir.org/bbs/showthread.php?p=1535123#post1535123

十楼


页首
 用户资料  
 
7 楼 
 文章标题 : Re: [问题]运行acroread 提示“expr: 写入时发生错误”,怎么解决
帖子发表于 : 2009-09-13 20:51 

注册: 2008-07-15 13:01
帖子: 108
送出感谢: 0 次
接收感谢: 0 次
我的不是从源安装的,而是直接下的tar.gz包,按5楼的方法没解决问题,而且不知道这个怎么卸载....


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:Sogou [Spider], Yahoo [Bot] 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译